# $Id: tdl.spec,v 1.7 2004/02/29 14:57:45 papier Exp $

Summary:		A to-do list manager
Name:			tdl
Version:		1.5.2
Release:		0.fdr.1.2
Epoch:			0
URL:			http://www.rc0.org.uk/tdl/index.html
License:		GPL
Group:			Applications/Productivity
Source0:		http://www.rpcurnow.force9.co.uk/tdl/tdl-1.5.2.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libtermcap-devel, readline-devel, texinfo
Requires(post,preun): /sbin/install-info

%description
tdl is a console to-do list manager.  You can run its subcommands direct from
the command line, or enter an interactive mode which uses the readline library.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}
make %{?_smp_mflags}
make tdl.txt tdl.info tdl.html

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m644 tdl.info $RPM_BUILD_ROOT%{_infodir}
# fix strange file permissions
chmod 755 $RPM_BUILD_ROOT%{_bindir}/tdl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/tdl.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/tdl.info \
      %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc NEWS COPYING README tdl.txt tdl.html
%{_bindir}/tdl*
%{_mandir}/man[^3]/*
%{_infodir}/*

%changelog
* Sun Feb 29 2004 Laurent Papier <papier[AT]tuxfan.net> - 0:1.5.2-0.fdr.1
- update to 1.5.2.

* Fri Jan  9 2004 Laurent Papier <papier[at]tuxfan.net> - 0:1.5.1-0.fdr.1
- update to 1.5.1.

* Sun Jun  8 2003 Laurent Papier <papier[at]tuxfan.net> - 0:1.4.1-0.fdr.1
- update to 1.4.1.

* Sat Jun  7 2003 Laurent Papier <papier[at]tuxfan.net> - 0:1.4-0.fdr.2
- make tdl honor $RPM_OPT_FLAGS.
- use %makeinstall.
- prevent errors when installed with --excludedocs.

* Fri May 16 2003 Laurent Papier <papier[at]tuxfan.net> - 0:1.4-0.fdr.1
- update to 1.4.

* Fri May  9 2003 Laurent Papier <papier[at]tuxfan.net> - 0:1.3.1-0.fdr.4
- %{optflags} -> $RPM_OPT_FLAGS
- %{buildroot} -> $RPM_BUILD_ROOT
- remove redundant '--entry' option in info-file installation.

* Sat Apr 26 2003 Laurent Papier <papier[at]tuxfan.net> - 0:1.3.1-0.fdr.3
- remove libtermcap and readline requirement. rpm automaticaly generates them.
- add NEWS and COPYING in %doc.
- better info-file installation.
- change CFLAGS to %{optflags} and remove CC=gcc.

* Tue Apr 22 2003 Laurent Papier <papier[at]tuxfan.net> - 0:1.3.1-0.fdr.2
- add libtermcap-devel in BuildRequires.
- add libtermcap in Requires.

* Fri Apr 18 2003 Laurent Papier <papier[at]tuxfan.net> - 0:1.3.1-0.fdr.1
- update to 1.3.1.
- add Epoch and URL tags.
- change Group to Applications/Productivity.

* Wed Apr  2 2003 Laurent Papier <papier[at]tuxfan.net>
- update to 1.3.

* Wed Mar 12 2003 Laurent Papier <papier[at]tuxfan.net>
- new spec file trying to follow Fedora guidelines.
